		Razor(R) and IssueWeaver(R) Documentation
		   	Copyright 1992 - 2019 
	Visible Systems Corporation		www.visiblesystemscorp.com

NOTE: This file is installed by copying it to

      /usr/local/share/man/man1/razor.1

GUIDE TO DOCUMENTATION 
----------------------

	The Razor and IssueWeaver manuals are available on our website at:
	
		http://www.visiblesystemscorp.com
		
	The following chart provides an overview of the formats available.


                      Postscript         HTML            
                       File Set        File Set        
              ---+----------------+----------------+
          Razor  |  rz_man.tar.Z  |  rz_web.tar.Z  |
         Manual  |   rz_man.zip   |   rz_web.zip   |
              ---+----------------+----------------+
    IssueWeaver  |  iw_man.tar.Z  |  iw_web.tar.Z  |
         Manual  |   iw_man.zip   |   iw_web.zip   |
              ---+----------------+----------------+


	If you are unable to retrieve a copy of the manual please contact 
	us at 'razor_sales@visiblesystemscorp.com' to request a copy on 
	physical media.

	Visible Systems Corporation
	razor_sales@visiblesystemscorp.com
	315-363-8000

				Razor(R)
			Copyright 1992 - 2019
	Visible Systems Corporation		www.visiblesystemscorp.com

GUIDE TO RAZOR 
--------------

This file contains an overview of the Razor tool suite as well as
instructions for installing Razor on the supported Linux platforms.
If you are installing the Razor clients on Windows, please 
refer to README.RazorPC for instructions.

To run the Razor executables either as a demo or a purchased product,
you will need to obtain license keys.  Demo license keys may be
obtained by sending an email to:  

		razor_license@visiblesystemscorp.com

Or obtain product keys for purchased licenses, also send an email to
'razor_license@visiblesystemscorp.com'.  Please include the Razor identification
string of the machine hosting the license server (i.e. 'razor id'). 

This information can be obtained by invoking the command 'Razor_<version>/bin/razor id'
(refer to the section "Getting a license key" in this document).

Please note that Razor uses 'eth0' as the name of the network interface. 
If necessary, you can define the RAZOR_IFACE environment variable to override 
this setting prior to running the 'razor id' command.

Overview
--------

Installation of the Razor tool suite is a two-fold process.  The first
step is to load the distribution media to a directory on your system.
The second step is to create the Razor database with which users will
interact.


Downloading executables
-----------------------

Razor is available for download on our web site, at:

http://visiblesystemscorp.com/Download/Razor/razor_download.htm

Or if you need alternate media, please contact the Razor sales staff at
315-363-8000 or send an email to 'razor_sales@visiblesystemscorp.com'.

NOTE: Make sure you download the correct set of binaries for your system 
      (i.e. your kernel version and 32bit or 64bit)

Installation
------------

Determine where the Razor executables will reside.  Your system
administrator may be of help suggesting a location that will insure 
access for all users of the tool suite.  The next step is to execute
the install script 'Razor_<version>/scripts/rz_install'.  This script 
will query the user regarding how the tool should be set up.  The final 
step is to create a Razor database using the 'rz_new_database' script.

Below is a sample installation for a SunOS machine, assuming that you
will be installing Razor in the directory /3rdparty.  Please note that
you must have write privilege to the directory where you are installing
Razor.

        cd /3rdparty

If you downloaded the release from our web or ftp site, you will have
the compressed tar file 'Razor_tar.Z'.



Extracting the executables from the compressed tar file
-------------------------------------------------------

        tar xvf Razor.tar.gz        
        
You will now have a 'Razor_<version>' directory in the /3rdparty
directory (or whatever directory you may have chosen).

This will create a directory structure (along with README files, 
RELEASE_NOTES and a VERSION file) which looks like this:

                         /-- Chart
			 |-- Razor_iw_lib 
			 |-- bin
			 |-- doc
                         |-- examples
                         |-- glyphs      
	Razor_<version> -----+-- help      
                         |-- lib
			 |-- sample_db
                         |-- scripts      
                         |               /-- Issues_tables_templates      
			 |		 |-- Tables
                         \-- templates --+-- Threads_tables_templates      
                                         \-- Versions_tables_templates      

	Directory  		Contains...
	---------  		-----------------------------------------------------------
    Chart    		Chart package used by the Report Generator
	Razor_iw_lib	Files used by IssueWeaver
    bin  			All of the Razor tool suite executables
    doc  			A good place to put the manual after download
    help  			Online documentation 
    glyphs  		Sample bitmaps which may be attached to the various displays
   	lib  			For Solaris and SunOS ONLY.  Contains XKeysymDB and NLS files (no longer supported)
	sample_db		Customized issues and file control groups
    scripts  		Installation and database query scripts
    examples  		Sample shell scripts
	templates  		Templates used when creating Razor groups

    Files    				Description
    -----    				-----------
	README    				A general overview
	README.Documentation    Information regarding manuals
	README.IWAdmin			Overview of the IssueWeaver Admin tool
	README.IssueWeaver		Overview of web interface add-on product
	README.Razor			This README file
	README.RazorNT			Overview of Razor for Windows NT
	README.RazorPC			Overview of Razor PC client applications
	README.RazorSCC			Overview of Razor integration with Windows IDEs
	README.Upgrade			Instructions for upgrading Razor installation
	RELEASE_NOTES			Overview of enhancements and corrections
	VERSION					Razor release version and platform information	


Running rz_install
------------------

It is recommended that a regular user be used to install Razor (i.e. not root). 
We like to use rzadmin as the username (no special permissions are needed). 
This user is normally called the Razor Administrator.

The script 'rz_install' is used for new installations and upgrades.  
The first question asked is whether this is a new installation or an
upgrade.

For new installations, you will be asked if you want to create a
symbolic link to the Razor tools.  We recommend you answer 'y' (the
default).  This will help make product updates go more smoothly for you
later on in that users can always point to the Razor executables in the
'Razor' directory.  In other words, the link will always point to the
currently running software.

The next question will be where to install the Razor license manager
data files.  A directory named Razor_lm will be created in the directory
you specify.  Make note of this directory.  It will be used when you are
ready to install the license keys and to set the environment variable
RAZOR_LICENSE_DIR a little later.  Razor uses 'eth0' as the default
network interface name. You can define the RAZOR_IFACE environment variable
to override this value.

You will then be asked if you want to use RCS as the archival engine
(version control system) rather than the default, SCCS.  If you aren't
sure, answer 'n' to use SCCS instead of RCS. 

NOTE: On Linux, you can use the GNU version of SCCS. It is called CSSC
and can be downloaded from the following web site:

	https://www.gnu.org/software/cssc/


Creating the Razor Database
---------------------------
 
The final step is to create your Razor database using the script, 
'rz_new_database'.  The database must be put in a place where all 
users will be able to read from.  Again, your system administrator
will be of help here.  Create the directory and then run the
'rz_new_database' script.

NOTE:  This script MUST be run by the user who will be the owner of the
database.  To minimize permissions and security issues, the owner of the 
database should NOT be root. 

The script is located in the $RAZOR_HOME/bin folder.


Sample database creation
------------------------

The example below puts the database in a fictitious directory named
/home/rzadmin, and places the installation in the directory
/3rdparty/Razor_<version>/scripts.  Please substitute the directory
path you have chosen.

REMEMBER:  This script MUST be run by the user who will own the
Razor database which is normally the Razor administrator.  
Refer to Chapter 2 of the manual, "Creating databases" for details.


        mkdir /home/rzadmin/Razor_db
        cd /3rdparty/Razor_<version>/scripts
        ./rz_new_database


You will be asked where you want to put the Razor database.  Answer
with the full path to the database directory.  In the example, the entry 
would be /home/rzadmin/Razor_db.  Again, this is a fictitious name;  
your response may be different.  The rz_new_database script will also ask for 
the name of your Razor group.  A Razor group should not be confused
with a Linux group, they are different.  A Razor group is simply
an area in Razor in which a team of people will work on related files.

The rz_new_database script will scroll out a lot of information (as well
as put it into the file 'razor_new_database.info' in the directory where 
the script executed).  Please take the time to read through it and
follow the directions as presented.  If you don't, you'll have to
figure out a bunch of things on your own and could end up being totally
frustrated. We don't want that to happen if we can help it!


Configuring the tool
--------------------

One of the nice things about the Razor tool suite is its flexibility to
meet practically any process you may want to implement.  This
configurability is handled through ASCII text configuration files in
the database.  Please refer to the Razor Manual for details.  A copy
of this manual can be downloaded from our web site.


Getting a license key
---------------------

For those users who are receiving this release as a purchased product,
you will need to contact us for a license key.  For those who are
evaluating it, you will need to obtain a demo key.  Until you
do this, the tool will not execute.  When running a demo license, the
tools will not allow operations on files beyond version 1.5.  This will
allow you to get started and once a purchased key is installed, you can 
pick up right where you left off.

The best way to get a key is to determine which machine will be running
the license manager program.  Log into that machine and use the 'razor
id' command (just go to the Razor/bin directory and type in the
command: ./razor id ) and send this ID via e-mail to:
razor_license@visiblesystemscorp.com.  

We will then send you the license key or, you can call us at: (315) 363-8000.

Please note that the id of your machine is closely tied to the network
card that is installed.  It is derived from the 'eth0' network interface.
If you wish to use a different interface, you may define the environment
variable called RAZOR_IFACE to the name of the chosen interface.

Once you have a license key, you will modify the Razor_lm/Licenses file
in your license directory with the information supplied by us.  
You may also use the command "razor license" to enter the
license keys.  The license directory is the directory specified in the
section above 'Running rz_install'


Starting the license manager
----------------------------

The first step to running any of the Razor tools is to start the
license manager (razor_lm).  The license manager manages the available
license tokens.  The razor_lm must run on the licensed machine.  Please
contact us for your license (described above).

By default, the license manager will validate remote users (PC client
and Linux remote client applications and IssueWeaver) against the Razor
password file (refer to Chapter 2 of the manual, "Remote client
password").   This default behavior may be changed to force the license
manager to validate users against the local password file (razor_lm -p)
or to validate users against both the local and Razor password files
(razor_lm -P).  Refer to Chapter 2, "License manager", for details.

The Razor license manager requires the environment parameter
RAZOR_LICENSE_DIR in order to run.  Since you followed the directions
above and have already created a database you can do one of the
following to define the proper parameters depending on the type of
shell you use.

For C-shell users:
	source <directory to database>/rz_prep

For Bourne, Korn, and Bash shell users:
	. <directory to database>/rz_prep.sh


To start the license manager:

	razor_lm &

Wait for the razor_lm to indicate that "razor_lm ready to serve!"
before proceeding.

NOTE: The license manager only needs to be started one time or when
the machine it is running on is rebooted.

NOTE: The License.conf file contains the default configuration for
the license manager.  It may be modified as needed before starting
the license manager.


Starting the database server
----------------------------

The next step to running the Razor tools is to start the database
server (rz_server).  The database server can run on any client
machine but is normally run on the same machine as the license
manager.  The database server controls the access and updates to the
Razor database.

To start the database server:
	
       razor up

Wait for the program to indicate "rz_server ready to serve!" before 
proceeding.  

NOTE:  The database server only needs to be started one time or when
the machine it is running on is rebooted.


Difficulties starting the rz_server
-----------------------------------

Yes, this happens on occasion and can prove somewhat frustrating.
Hopefully, a few tips here will avoid this frustration.

If you get complaints about environment parameters not being set, go
back to the section discussing the startup of the license manager and
source the proper rz_prep file.  There are two of them, one for c/t-shell
and the other for bourne/korn/bash shell users (rz_prep and rz_prep.sh).

Also note that the rz_server program starts up another program called
kid_of_server.  If the rz_server is still having trouble starting, make
sure that both the rz_server and kid_of_server programs are not
executing.  You can find this out by using the 'ps' command:

	ps -auxww | grep server
		
		OR

	ps -elf | grep server

and then killing the processes by specifying the process id in the 'kill'
command.

	kill <rz_server pid> <kid_of_server pid>


Starting the Razor tools
------------------------

Once the rz_server is running, you may start any one or all of the Razor
clients.

To start the issues (problem tracking) tool:

	issues &

To start the versions (file version control) tool:

	versions &

To start the threads (release management) tool:

	threads &

NOTE: The Razor command line may be run by executing 'razor' followed 
by a command (i.e. type 'razor help' for more information).

Finally
-------

Enjoy!  And please send your suggestions/comments to:

                razor_support@visiblesystemscorp.com


Your inputs (good or bad) are very important to us!

Visible Systems Corporation
www.visiblesystemscorp.com
